Buy Philips Compact Hair Dryer BHC010-10 - 1200W, 3 Flexible Speeds Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips Compact Hair Dryer BHC010-10 - 1200W, 3 Flexible Speeds

PRODUCT CODE: PH-BHC010-10

0
0
0
0
0

Rs.10,345 Rs. 10,890

5.00% OFF

Reward Points Icon

Earn 52 RED points with this purchase More Info

Offer Icon

Offer - Extra 5.00% off (Price is inclusive of Discount)

Offer Icon

Special Discount - Checkout using Sampath, Commercial, NTB, BOC, Peoples, HNB, NDB, Pan Asia, Seylan, UNION, Union Pay International, DFCC, LOLC, CDB Banks, Mintpay, KOKO payment method and get extra 11% off T&C

T&C ×

Special Discount - Checkout Using Sampath, Commercial, NTB, BOC, Peoples, HNB, NDB, Pan Asia, Seylan, UNION, Union Pay International, DFCC, LOLC, CDB Banks, Mintpay, KOKO Payment Methods And Get Extra Discount.
Offer Icon

Pay in 3 X Rs. 3,448 with mint-pay koko

1
This product is out of stock in our website.
But, you can find a store near you to purchase offline.
1

Delivery - Standard 3 To 5 Working Days.

2 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Type HAIR DRYER 1200W
Speed Setings 3 Speeds
Temperature Settings ThermoProtect Temperature Setting
Cool Shot Function Yes
Special Features Travel Friendly Fordable Design
Power 1200W
Dimensions 11 x 8 x 21 Centimeters
Weight 390 g

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Philips OneBlade Face Rechargeable Shaver QP1424
11.11 offer

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Singer Hand Carry Hair Dryer BY503
11.11 offer

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair
11.11 offer

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Rechargeable Hair Clipper With Two Detachable Combs
11.11 offer

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
11.11 offer

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Philips Beard Trimmer BT1230 - Stainless Steel Blades
11.11 offer

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Singer Hair Clipper - SIN-RFC-1819
11.11 offer

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
Indesit Cooker Hood, Angled, Air Flow 647m3h
11.11 offer

IND-IHVP66LMK

0
0
0
0
0
Indesit Cooker Hood, Angled, Air Flow 647m3h
Rs 91,299
Salter Electronic Bathroom Scale 9205 - 180KG
new

SEBS-9205

0
0
0
0
0
Salter Electronic Bathroom Scale 9205 - 180KG
Rs 8,999
STIHL RME 235 Electric Lawn Mower

STIHL-ELM

0
0
0
0
0
STIHL RME 235 Electric Lawn Mower
Rs 82,950
BLACK+DECKER 2 Slice Multiplate Sandwich + Grill + Waffle Maker (BD-TS2090-B5)
sale

BD-TS2090-B5

0
0
0
0
0
BLACK+DECKER 2 Slice Multiplate Sandwich + Gr...
Rs 21,280
Rs 22,400 5% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products